visualeditor-clearbutton-tooltip shouldn't be used in link inspector to remove a link
Closed, ResolvedPublic1 Story Points

Description

When you edit a link to remove it, visualeditor-clearbutton-tooltip ("clear styling") is used as a label on the button that removes links:

This has confused a user feeling uncomfortable with the visual editing interface during a workshop I was leading.

A more clear label should be used, like "removing link".

Side note, if a user wants to clear styling on a bolded link, using that "clear styling" button will not do the expected: the link will be removed, not the bold.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 8:43 AM
Esanders set the point value for this task to 1.
DLynch added a subscriber: DLynch.Jun 26 2018, 4:49 PM

Note that this is totally my fault from back in 2015 with 7ecde6c05.

Arguably, it shouldn't be "clear styling" for any situation where this currently appears, not just links. This button only appears on things which explicitly extend AnnotationContextItem, which is links and languages. It's a case of "clear styling" making sense for a hypothetical generic annotation context, and then not making sense for any place we actually use it.

That said, it's incredibly easy to override. There's a static property clearMsg which just needs to be set on the relevant subclasses.

What shall we set the message to? Google uses "remove formatting", which is better than "clear styling", though it's still not ideal… but I also can't think of anything better.

I'd say:

  1. Update the default message to "remove formatting" (as you say, it's better than "clear styling")
  2. Update the link context specifically to "remove link"
  3. Update the language context specifically to "remove language"

(I said it's my fault because James asked me to do those overrides in the original patch, and I missed them.)

DLynch claimed this task.Jun 26 2018, 6:18 PM
Deskana triaged this task as Normal priority.Jun 26 2018, 6:58 PM

@DLynch, from an user perspective, the 3 options seems reasonable. Thank you for taking care of that!

Change 442756 had a related patch set uploaded (by Annayoungyeun; owner: Annayoungyeun):
[VisualEditor/VisualEditor@master] Change clear styling label in contexts

https://gerrit.wikimedia.org/r/442756

From gerrit:
I'd just make this (the default message) 'Remove', for example the comment annotation isn't really 'formatting' and it's clear from the context what it is removing.

Change 442756 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Change clear styling label in contexts

https://gerrit.wikimedia.org/r/442756

Vvjjkkii renamed this task from visualeditor-clearbutton-tooltip shouldn't be used in link inspector to remove a link to jdaaaaaaaa.Jul 1 2018, 1:01 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Annayoungyeun as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Annayoungyeun; removed: gerritbot, Aklapper.
RazeSoldier renamed this task from jdaaaaaaaa to visualeditor-clearbutton-tooltip shouldn't be used in link inspector to remove a link.Jul 1 2018, 2:34 AM
RazeSoldier set the point value for this task to 1.
DLynch closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 3 2018, 4:33 PM

Change 444139 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (bbe825690)

https://gerrit.wikimedia.org/r/444139

Change 444139 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (bbe825690)

https://gerrit.wikimedia.org/r/444139

Ryasmeen added a subscriber: Ryasmeen.EditedJul 10 2018, 10:53 PM

Well right now, I see raw message keys for both "remove link" and "remove language".
visualeditor-linkcontext-remove and visualeditor-languagecontext-remove,

Change 445037 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Follow-up dfe27be: Add missing i18n keys to manifest

https://gerrit.wikimedia.org/r/445037

Change 445037 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Follow-up dfe27be: Add missing i18n keys to manifest

https://gerrit.wikimedia.org/r/445037

Change 445044 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.12] Follow-up dfe27be: Add missing i18n keys to manifest

https://gerrit.wikimedia.org/r/445044

Ryasmeen moved this task from QA to Needs PM Review on the VisualEditor (Current work) board.
Deskana closed this task as Resolved.Jul 11 2018, 3:04 PM

Change 445044 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.12] Follow-up dfe27be: Add missing i18n keys to manifest

https://gerrit.wikimedia.org/r/445044

Mentioned in SAL (#wikimedia-operations) [2018-07-12T23:32:14Z] <jforrester@deploy1001> Synchronized php-1.32.0-wmf.12/extensions/VisualEditor: SWAT VisualEditor: Add missing i18n keys to manifest T198064 (duration: 00m 52s)